%bcond_without midi

Summary:	Multimedia player based on mplayer technology
Name:		rosa-media-player
Version:	1.6.11
Release:	8
License:	GPLv2+
Group:		Video
Url:		http://www.rosalinux.com
Source0:	%{name}-%{version}.tar.gz
Patch0:		rosa-media-player-1.6.11-open-dvd.patch
Patch1:		rosa-media-player-1.6.11-initial-preference.patch
Patch2:		rosa-media-player-1.6.11-russian-comment.patch
BuildRequires:	qt4-linguist
BuildRequires:	qt4-devel
%if %{with midi}
BuildRequires:	wildmidi-devel
%endif
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(QJson)
Requires:	mencoder
Requires:	mplayer >= 1.0-1.rc1
Requires:	ffmpeg
Requires:	xdg-utils
%if %{with midi}
Requires:	timidity-patch-gravis
%endif
Requires:	wget

%description
Multimedia player that supports most of audio and video formats.

%files
%doc *.txt docs/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}/*.conf
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%{_datadir}/apps/solid/actions/*.desktop
%{_datadir}/solid/actions/*.desktop
%{_iconsdir}/hicolor/*/apps/rosamp.png
%lang(ar_SY) %{_datadir}/%{name}/translations/rosamp_ar_SY.qm
%lang(en) %{_datadir}/%{name}/translations/rosamp_en.qm
%lang(cs) %{_datadir}/%{name}/translations/rosamp_cs.qm
%lang(de) %{_datadir}/%{name}/translations/rosamp_de.qm
%lang(es) %{_datadir}/%{name}/translations/rosamp_es.qm
%lang(et) %{_datadir}/%{name}/translations/rosamp_et.qm
%lang(fi) %{_datadir}/%{name}/translations/rosamp_fi.qm
%lang(fr) %{_datadir}/%{name}/translations/rosamp_fr.qm
%lang(gl) %{_datadir}/%{name}/translations/rosamp_gl.qm
%lang(hu) %{_datadir}/%{name}/translations/rosamp_hu.qm
%lang(it) %{_datadir}/%{name}/translations/rosamp_it.qm
%lang(ja) %{_datadir}/%{name}/translations/rosamp_ja.qm
%lang(ku) %{_datadir}/%{name}/translations/rosamp_ku.qm
%lang(lt) %{_datadir}/%{name}/translations/rosamp_lt.qm
%lang(mk) %{_datadir}/%{name}/translations/rosamp_mk.qm
%lang(nl) %{_datadir}/%{name}/translations/rosamp_nl.qm
%lang(pl) %{_datadir}/%{name}/translations/rosamp_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/rosamp_pt_BR.qm
%lang(pt_pt) %{_datadir}/%{name}/translations/rosamp_pt.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/rosamp_ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/rosamp_ru_RU.qm
%lang(sl) %{_datadir}/%{name}/translations/rosamp_sl.qm
%lang(tr) %{_datadir}/%{name}/translations/rosamp_tr.qm
%lang(uk_UA) %{_datadir}/%{name}/translations/rosamp_uk_UA.qm
%lang(vi) %{_datadir}/%{name}/translations/rosamp_vi_VN.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/rosamp_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/rosamp_zh_TW.qm

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}
%apply_patches

%build
%setup_compile_flags
./get_romp_version.sh %{version} %{release}
%if %{with midi}
%make PREFIX=%{_prefix} QMAKE=%{qt4bin}/qmake LRELEASE=%{qt4bin}/lrelease
%else
%make PREFIX=%{_prefix} QMAKE=%{qt4bin}/qmake LRELEASE=%{qt4bin}/lrelease no-midi-support
%endif

%install
%makeinstall_std PREFIX=%{_prefix}

# remove wrongly put docs
rm -rf %{buildroot}%{_datadir}/doc

# Plasma 5 support
mkdir -p %{buildroot}%{_datadir}/solid/actions
cp %{buildroot}%{_datadir}/apps/solid/actions/*.desktop %{buildroot}%{_datadir}/solid/actions/


%changelog

* Thu Jul 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.11-8
- (0e7005d) Add support for Plasma 5

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.11-7
- (d8232be) Build requires pkgconfig(alsa)

* Wed Jan 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.11-6
- (22219e4) Decrease InitialPreference value by 1 to keep it lower than Clementine's one

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.11-5
- (018251f) Adjust Russian comment in desktop file

* Tue May 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.11-4
- (83ca4ec) Add initial-preference patch to give ROMP high priority for supported file formats

* Wed Mar 04 2015 Tigro <ashejn@yandex-team.ru> 1.6.11-3
- (eb57151) fix open some DVD in GNOME

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1.6.11-2
- (0a0bb6a) MassBuild#656: Increase release tag

* Fri Jan 23 2015 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.6.11-1
- (a52ee06) Fix command line argument convertation

* Fri Nov 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.10-2
- (3db1e46) Spec cleanup

* Mon Sep 29 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.6.10-1
- (75c670a) Add samba support to the desktop file

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.6.9-2
- (34c327c) MassBuild#440: Increase release tag

* Tue Aug 13 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.6.9-1
- (07ed24d) Changed version format

* Mon Aug 12 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.6-9
- (5ce3c2b) New version 1.6-9
- (5ce3c2b) Fixed parsing of new mplayer version
- (5ce3c2b) Added video and audio extensions
- (5ce3c2b) Changed reset to default values

* Fri Apr 12 2013 Julia Mineeva <julia.mineeva@osinit.ru> 1.6-8
- (cc08d87) New version 1.6-8
- (cc08d87) Updated romanian and ukrainian translations.
- (cc08d87) Fixed bug with playlist (wrong process asx-file in the m3u-playlist).
- (cc08d87) Add optional building with midi support.

* Wed Apr 03 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-6
- (be6cee0) fixed translations

* Tue Apr 02 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-5
- (b064464) fixed bug in desktop recording

* Tue Apr 02 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-4
- (e69c7b1) fixed string in desktop file
- (Evgeniy Auzhin: 95a2b26) fixed protocol string

* Tue Apr 02 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-2
- (aaa86aa) desktop files fixed
- (Julia Mineeva: db2c387) New version 1.6-2

* Tue Feb 19 2013 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-7
- (6c17066) Updated rosa-media-player-1.5.1.tar.gz
- (Julia Mineeva: ceeae96) New version 1.5.1-7 (deleted panel strip in fullscreen; fixed bug when screen recording)
- (Sergey Borovkov: ef39504) Add proper buildrequires
- (Sergey Borovkov: 6415b3e) v1.5.1-7
- (Sergey Borovkov: ec22704) v1.5.1-7

* Wed Dec 12 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-6
- (c3bbde5) New version 1.5.1-6
- (c3bbde5) Increased bottom margin of main window

* Tue Dec 11 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-5
- (1ab11a9) New version 1.5.1-5
- (1ab11a9) Fixed segmentaion fault when open media file

* Tue Dec 11 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-4
- (b70fa80) New version 1.5.1-4
- (b70fa80) Updated translations.
- (b70fa80) Deleted statusbar.

* Fri Nov 23 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-1
- (0fc9670) Updated tarball
- (Julia Mineeva: cbb7539) ChangeLog 1.5.1: fixed some bugs


